メインコンテンツへスキップ
GET
/
v2
/
dex
/
{chain}
/
quote
Dex - 見積り取得
curl --request GET \
  --url https://api.chainstream.io/v2/dex/{chain}/quote \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.chainstream.io/v2/dex/{chain}/quote"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.chainstream.io/v2/dex/{chain}/quote', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "amountOut": "1000000000",
  "minAmountOut": "<string>",
  "currentPrice": "<string>",
  "executionPrice": "<string>",
  "priceImpact": "10.5",
  "fee": "1000000000"
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

パスパラメータ

chain
enum<string>
必須

サポートされているネットワークに記載されているチェーン名

利用可能なオプション:
sol,
bsc,
eth

クエリパラメータ

dex
enum<string>
必須

DEX プロトコルタイプ

利用可能なオプション:
raydium,
pumpfun
:

"raydium"

amount
string
必須

取引数量

:

1000000000

inputMint
string
必須

入力トークンアドレス

:

"6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN"

outputMint
string
必須

出力トークンアドレス

:

"So11111111111111111111111111111111111111112"

exactIn
boolean
デフォルト:true
必須

入力確定モード

:

true

slippage
integer<int64>
必須

スリッページ許容率

:

10

レスポンス

200 - application/json
amountOut
string

出力数量

:

"1000000000"

minAmountOut
string

最小出力数量

currentPrice
string

現在の価格

executionPrice
string

約定価格

priceImpact
string

プライスインパクト

:

"10.5"

fee
string

取引手数料

:

"1000000000"